Skip to main content
GET
/
estimate_network_fee
TypeScript
const response: Promise<FireblocksResponse<EstimatedNetworkFeeResponse>> = fireblocks.transactions.estimateNetworkFee(transactionsApiEstimateNetworkFeeRequest);
{
  "low": {
    "feePerByte": "<string>",
    "gasPrice": "<string>",
    "networkFee": "<string>",
    "baseFee": "<string>",
    "priorityFee": "<string>"
  },
  "medium": {
    "feePerByte": "<string>",
    "gasPrice": "<string>",
    "networkFee": "<string>",
    "baseFee": "<string>",
    "priorityFee": "<string>"
  },
  "high": {
    "feePerByte": "<string>",
    "gasPrice": "<string>",
    "networkFee": "<string>",
    "baseFee": "<string>",
    "priorityFee": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

assetId
string
required

The asset for which to estimate the fee

Response

Estimated fees response

low
object
required
medium
object
required
high
object
required